# Update Webhook

Source: https://www.digiparser.com/docs/api/updateWebhook

# Update Webhook

Server URL`loading...`

PATCH

/`api`/`v1`/`parsers`/`{parserId}`/`webhooks`/`{webhookId}`

Send

Authorization

Path

Body

## [Authorization](#authorization)

`bearerAuth`

authorization<token>

Your API key. Include it directly in the Authorization header as the API key value (e.g., 'authorization: your-api-key-here')

In: `header`

## [Path Parameters](#path-parameters)

parserId\*string

The ID of the parser

Format`uuid`

webhookId\*string

The ID of the webhook

## [Request Body](#request-body)

`application/json`

url?string

Format`uri`

isActive?boolean

events?array<string\>

## [Response Body](#response-body)

### 200

`application/json`

cURL

JavaScript

Go

Python

Java

C#

```
curl -X PATCH "https://api.digiparser.com/api/v1/parsers/d1458cd7-8692-488f-8b3f-0fddade05f9c/webhooks/string" \  -H "Content-Type: application/json" \  -d '{}'
```

200

```
{
  "id": "string",
  "url": "http://example.com",
  "isActive": true,
  "events": [
    "string"
  ],
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```

[

Create Webhook POST

Previous Page

](/docs/api/createWebhook)[

Delete Webhook DELETE

Next Page

](/docs/api/deleteWebhook)